> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Superset datasets

> Returns all datasets registered in Superset.



## OpenAPI

````yaml get /api/analytics/datasets
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/analytics/datasets:
    get:
      tags:
        - Analytics
      summary: List all Superset datasets
      description: Returns all datasets registered in Superset.
      operationId: get_datasets_api_analytics_datasets_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/SupersetDataset'
                type: array
                title: Response Get Datasets Api Analytics Datasets Get
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    SupersetDataset:
      properties:
        catalog:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog
        columns:
          items:
            $ref: '#/components/schemas/SupersetDatasetColumn'
          type: array
          title: Columns
          default: []
        datasource_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Datasource Name
        id:
          type: integer
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        schema:
          anyOf:
            - type: string
            - type: 'null'
          title: Schema
        sql:
          anyOf:
            - type: string
            - type: 'null'
          title: Sql
        table_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Table Name
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
      type: object
      required:
        - id
      title: SupersetDataset
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    SupersetDatasetColumn:
      properties:
        column_name:
          type: string
          title: Column Name
        id:
          type: integer
          title: Id
        type:
          type: string
          title: Type
        type_generic:
          type: integer
          title: Type Generic
      type: object
      required:
        - column_name
        - id
        - type
        - type_generic
      title: SupersetDatasetColumn
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````